﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;


namespace ibba.agil.core.common
{
    [DataContract]
    public class ServiceResponse<O,E> where  O : DataTransferContainerObj
                                      where E : DataTransferIssue
    {
        [DataMember]
        public O DataContract { get; set; }

        [DataMember]
        public List<E> DataIssue { get; set; }
    }

    [DataContract]
    public class ServiceResponse<E>
        where E : DataTransferIssue
    {
               
        [DataMember]
        public List<E> DataIssue { get; set; }
    }
}
