using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ibba.agil.core.common;
using ibba.agil.core;

namespace ibba.agil.data.data
{
    public class tbagi006IpiLayoKey : IDataKey
    {
        public enum enTipoConsulta
        {
            Todos = 0,
            FiltroLayou = 1
        }

        public enTipoConsulta TipoConsulta { get; set; }

        public int idtIpiLayo { get; set; }
    }

    public class tbagi006IpiLayo_COL : CollectionData<tbagi006IpiLayoKey, tbagi006IpiLayo_ENT>
    {
        private manager.tbagi006IpiLayo_COM _manager;
        private Criteria<CriteriaInfo, object> _pesquisa;

        public tbagi006IpiLayo_COL()
        {
            _manager = new manager.tbagi006IpiLayo_COM();
        }

        public override List<tbagi006IpiLayo_ENT> Find(tbagi006IpiLayoKey key)
        {
            #region Implementacao do Criterio de Pesquisa

            _pesquisa = new Criteria<CriteriaInfo, object>(new tbagi006IpiLayo_ENT());

            switch (key.TipoConsulta)
            {
                case tbagi006IpiLayoKey.enTipoConsulta.FiltroLayou:
                    _pesquisa.Add(new CriteriaInfo()
                    {
                        LikePattern = LikePattern.Both,
                        LogicalType = LogicalOperator.AND,
                        NameProperty = "idtIpiLayo",
                        SearchType = LogicalComparator.EQUAL
                    }, key.idtIpiLayo);
                    break;
                default:
                    break;
            }

            #endregion

            return _manager.Where(CriteriaFind);
        }

        protected override Criteria<CriteriaInfo, object> CriteriaFind()
        {
            return _pesquisa;
        }
    }
}
