﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ibba.agil.core;
using ibba.agil.core.common;

namespace ibba.agil.data.data
{
    public class tbagi007IpiLayoCamo_ENT : EntityData, IDataEntity
    {
        private manager.tbagi007IpiLayoCamo_MNG _manager;

        #region Data

        public int idtIpiCamo { get; set; }
        public int idtIpiLayo { get; set; }


        #endregion

        /// <summary>
        /// Construtor necessario para configura��o dos mapeamentos :: Entidade < -- > TABELA
        /// </summary>
        public tbagi007IpiLayoCamo_ENT()
        {
            // determina o mapeamento entre a tabela e entidade
            base.MapperTable = new Dictionary<string, string>() { { this.GetType().Name, "dbo.TBAGI007_IPI_LAYO_CAMO" } };

            // determina o mapeamento entre a coluna da tabela e propriedade
            base.Mapper = new Dictionary<string, string>() { 
                     {"idtIpiCamo" , "IDT_IPI_CAMO"  }, 
                     {"idtIpiLayo", "IDT_IPI_LAYO" }, 
            };

            // determina o mapeamento das chaves
            base.MapperKeys = new Dictionary<string, string>() { 
                    //DictionaryEntityKey//
                     {"idtIpiCamo", "IDT_IPI_CAMO"    }
            };

            // instancia o manager
            _manager = new manager.tbagi007IpiLayoCamo_MNG();
        }

        public override void Save()
        {
            _manager.Save(this);
        }

        public override void Save(TransactionManager transactionContext)
        {
            _manager.Save(this, transactionContext);
        }

        public override void Delete()
        {
            _manager.Delete(this);
        }

        public override void Delete(TransactionManager transactionContext)
        {
            throw new NotImplementedException();
        }

    }
}
