using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ibba.agil.core.common;
using ibba.agil.core;

namespace ibba.agil.data.data
{
    public class tbagi019ParmPrsoIpiKey : IDataKey
    {
        public int idtParmPrsoIpi { get; set; }
    }

    public class tbagi019ParmPrsoIpi_COL : CollectionData<tbagi019ParmPrsoIpiKey, tbagi019ParmPrsoIpi_ENT>
    {
        private manager.tbagi019ParmPrsoIpi_COM _manager;
        private Criteria<CriteriaInfo, object> _pesquisa;

        public tbagi019ParmPrsoIpi_COL()
        {
            _manager = new manager.tbagi019ParmPrsoIpi_COM();
        }

        public override List<tbagi019ParmPrsoIpi_ENT> Find(tbagi019ParmPrsoIpiKey key)
        {
            #region Implementacao do Criterio de Pesquisa

            _pesquisa = new Criteria<CriteriaInfo, object>();
            _pesquisa.Add(new CriteriaInfo()
            {
                EntityData = new tbagi019ParmPrsoIpi_ENT(),
                LikePattern = LikePattern.Both,
                LogicalType = LogicalOperator.AND,
                NameProperty = "idtParmPrsoIpi",
                SearchType = LogicalComparator.EQUAL
            }, key.idtParmPrsoIpi);

            #endregion

            return _manager.Where(CriteriaFind);
        }

        protected override Criteria<CriteriaInfo, object> CriteriaFind()
        {
            return _pesquisa;
        }
    }
}
