using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ibba.agil.core.common;
using ibba.agil.core;

namespace ibba.agil.data.data
{
    public class tbagi020TipoClafErroPendKey : IDataKey
    {
        public String codTipoClafErro { get; set; }
    }

    public class tbagi020TipoClafErroPend_COL : CollectionData<tbagi020TipoClafErroPendKey, tbagi020TipoClafErroPend_ENT>
    {
        private manager.tbagi020TipoClafErroPend_COM _manager;
        private Criteria<CriteriaInfo, object> _pesquisa;

        public tbagi020TipoClafErroPend_COL()
        {
            _manager = new manager.tbagi020TipoClafErroPend_COM();
        }

        public override List<tbagi020TipoClafErroPend_ENT> Find(tbagi020TipoClafErroPendKey key)
        {
            #region Implementacao do Criterio de Pesquisa

            _pesquisa = new Criteria<CriteriaInfo, object>();
            _pesquisa.Add(new CriteriaInfo()
            {
                EntityData = new tbagi020TipoClafErroPend_ENT(),
                LikePattern = LikePattern.Both,
                LogicalType = LogicalOperator.AND,
                NameProperty = "codTipoClafErro",
                SearchType = LogicalComparator.EQUAL
            }, key.codTipoClafErro);

            #endregion

            return _manager.Where(CriteriaFind);
        }

        protected override Criteria<CriteriaInfo, object> CriteriaFind()
        {
            return _pesquisa;
        }
    }
}
