using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ibba.agil.core;
using ibba.agil.core.common;

namespace ibba.agil.data.data
{
    public class tbagi025TipoSituErro_ENT : EntityData, IDataEntity
    {
        private manager.tbagi025TipoSituErro_MNG _manager;

        #region Data

        public string codTipoSituErro { get; set; }
        public string desTipoSituErro { get; set; }

        #endregion


        /// <summary>
        /// Construtor necessario para configura��o dos mapeamentos :: Entidade < -- > TABELA
        /// </summary>
        public tbagi025TipoSituErro_ENT()
        {
            // determina o mapeamento entre a tabela e entidade
            base.MapperTable = new Dictionary<string, string>() { { this.GetType().Name, "dbo.TBAGI025_TIPO_SITU_ERRO" } };

            // determina o mapeamento entre a coluna da tabela e propriedade
            base.Mapper = new Dictionary<string, string>() { 
                     {"codTipoSituErro", "COD_TIPO_SITU_ERRO"    }, 
                     {"desTipoSituErro", "DES_TIPO_SITU_ERRO"    }          
            };

            // determina o mapeamento das chaves
            base.MapperKeys = new Dictionary<string, string>() { 
                    //DictionaryEntityKey//
                    {"codTipoSituErro", "COD_TIPO_SITU_ERRO"    }
            };

            // determina se a chave � identity
            //base.MapperKeyIsNotIdentity = true;

            // instancia o manager
            _manager = new manager.tbagi025TipoSituErro_MNG();
        }

        public override void Save()
        {
            _manager.Save(this);
        }

        public override void Save(TransactionManager transactionContext)
        {
            _manager.Save(this, transactionContext);
        }

        public override void Delete()
        {
            _manager.Delete(this);
        }

        public override void Delete(TransactionManager transactionContext)
        {
            throw new NotImplementedException();
        }
    }
}
