﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using ibba.agil.core.common;

namespace ibba.agil.core
{
    public abstract class CollectionData<K,T> : List<T>, IEnumerable<T>
        where T : IDataEntity 
        where K : IDataKey

    {
        protected internal abstract Criteria<CriteriaInfo, object> CriteriaFind();
            
        public abstract List<T> Find(K objectKey);          
    }
}
