﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using srv = ibba.agil.core.monitor;
using System.ServiceModel;

namespace ibba.agil.monitor.service
{
    public class Monitor : IMonitor
    {
        public void InfoTracer(MonitorData data)
        {
            var fullOperation =  "." + data.OperationName;
            srv.Monitor.InfoTracer(fullOperation, data.TraceMessage, data.TracePoint);
        }

        public void WarningTracer(MonitorData data)
        {
            var fullOperation =  "." + data.OperationName;
            srv.Monitor.InfoWaring(fullOperation, data.TraceMessage, data.TracePoint);
        }

        public void ErrorTracer(MonitorData data)
        {
            var fullOperation = "." + data.OperationName;
            srv.Monitor.ErrorTracer(fullOperation, data.TraceMessage, data.TracePoint);
        }
    }
}