﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ibba.agil.core.common;
using ibba.agil.core;

namespace ibba.agil.data.data
{
    public class tbagi002FatoEvenKey : IDataKey
    {
        public int codFatoEven { get; set; }
        public int idtCrtr { get; set; }
        public string desFatoEven { get; set; }
        public string indAtivInat { get; set; }    
    }

    public class tbagi002FatoEven_COL : CollectionData<tbagi002FatoEvenKey, tbagi002FatoEven_ENT>
    {
        private manager.tbagi002FatoEven_COM _manager;
        private Criteria<CriteriaInfo, object> _pesquisa;

        public tbagi002FatoEven_COL()
        {
            _manager = new manager.tbagi002FatoEven_COM();
        }

        public override List<tbagi002FatoEven_ENT> Find(tbagi002FatoEvenKey key)
        {
            #region Implementacao do Criterio de Pesquisa

            _pesquisa = new Criteria<CriteriaInfo, object>();
            _pesquisa.Add(new CriteriaInfo()
            {
                EntityData = new tbagi002FatoEven_ENT(),
                LikePattern = LikePattern.Both,
                LogicalType = LogicalOperator.AND,
                NameProperty = "codFatoEven",
                SearchType = LogicalComparator.EQUAL
            }, key.codFatoEven);

            #endregion

            return _manager.Where(CriteriaFind);
        }

        protected override Criteria<CriteriaInfo, object> CriteriaFind()
        {
            return _pesquisa;
        }
    }
}
