using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ibba.agil.core.common;
using ibba.agil.core;

namespace ibba.agil.data.data
{
    public class tbagi009SigSistOrigKey : IDataKey
    {
        public string codSigSistOrig { get; set; }
    }

    public class tbagi009SigSistOrig_COL : CollectionData<tbagi009SigSistOrigKey, tbagi009SigSistOrig_ENT>
    {
        private manager.tbagi009SigSistOrig_COM _manager;
        private Criteria<CriteriaInfo, object> _pesquisa;

        public tbagi009SigSistOrig_COL()
        {
            _manager = new manager.tbagi009SigSistOrig_COM();
        }

        public override List<tbagi009SigSistOrig_ENT> Find(tbagi009SigSistOrigKey key)
        {
            #region Implementacao do Criterio de Pesquisa

            _pesquisa = new Criteria<CriteriaInfo, object>();
            _pesquisa.Add(new CriteriaInfo()
            {
                EntityData = new tbagi009SigSistOrig_ENT(),
                LikePattern = LikePattern.Both,
                LogicalType = LogicalOperator.AND,
                NameProperty = "codSigSistOrig",
                SearchType = LogicalComparator.EQUAL
            }, key.codSigSistOrig);

            #endregion

            return _manager.Where(CriteriaFind);
        }

        protected override Criteria<CriteriaInfo, object> CriteriaFind()
        {
            return _pesquisa;
        }
    }
}
