using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ibba.agil.core;
using ibba.agil.core.common;

namespace ibba.agil.data.data
{
    public class tbagi009SigSistOrig_ENT : EntityData, IDataEntity
    {
        private manager.tbagi009SigSistOrig_MNG _manager;

        #region Data

        public string codSigSistOrig { get; set; }
        public string desSigSistOrig { get; set; }


        #endregion

        /// <summary>
        /// Construtor necessario para configura��o dos mapeamentos :: Entidade < -- > TABELA
        /// </summary>
        public tbagi009SigSistOrig_ENT()
        {
            // determina o mapeamento entre a tabela e entidade
            base.MapperTable = new Dictionary<string, string>() { { this.GetType().Name, "dbo.TBAGI009_SIG_SIST_ORIG" } };

            // determina o mapeamento entre a coluna da tabela e propriedade
            base.Mapper = new Dictionary<string, string>() { 
                     {"codSigSistOrig", "COD_SIG_SIST_ORIG" }, 
                     {"desSigSistOrig", "DES_SIG_SIST_ORIG" }          
            };

            // determina o mapeamento das chaves
            base.MapperKeys = new Dictionary<string, string>() { 
                    //DictionaryEntityKey//
                    {"codSigSistOrig", "COD_SIG_SIST_ORIG"    },
            };


            // instancia o manager
            _manager = new manager.tbagi009SigSistOrig_MNG();
        }

        public override void Save()
        {
            _manager.Save(this);
        }

        public override void Save(TransactionManager transactionContext)
        {
            _manager.Save(this, transactionContext);
        }

        public override void Delete()
        {
            _manager.Delete(this);
        }

        public override void Delete(TransactionManager transactionContext)
        {
            throw new NotImplementedException();
        }
    }
}
