using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ibba.agil.core;
using ibba.agil.core.common;

namespace ibba.agil.data.data
{
    public class tbagi020TipoClafErroPend_ENT : EntityData, IDataEntity
    {
        private manager.tbagi020TipoClafErroPend_MNG _manager;

        #region Data

        public string codTipoClafErro { get; set; } 
public string desTipoClafErro { get; set; } 
   

        #endregion

     
        /// <summary>
        /// Construtor necessario para configura��o dos mapeamentos :: Entidade < -- > TABELA
        /// </summary>
        public tbagi020TipoClafErroPend_ENT()
        {
            // determina o mapeamento entre a tabela e entidade
            base.MapperTable = new Dictionary<string, string>() { { this.GetType().Name, "dbo.TBAGI020_TIPO_CLAF_ERRO_PEND" } };

            // determina o mapeamento entre a coluna da tabela e propriedade
            base.Mapper = new Dictionary<string, string>() { 
                     {"codTipoClafErro", "COD_TIPO_CLAF_ERRO"    }, 
                     {"desTipoClafErro", "DES_TIPO_CLAF_ERRO"    }          
            };

            // determina o mapeamento das chaves
            base.MapperKeys = new Dictionary<string, string>() { 
                    {"codTipoClafErro", "COD_TIPO_CLAF_ERRO"    }
            };

            // determina se a chave � identity
            //base.MapperKeyIsNotIdentity = true;

            // instancia o manager
            _manager = new manager.tbagi020TipoClafErroPend_MNG();
        }

        public override void Save()
        {
            _manager.Save(this);
        }

        public override void Save(TransactionManager transactionContext)
        {
            _manager.Save(this, transactionContext);
        }

        public override void Delete()
        {
            _manager.Delete(this);
        }

        public override void Delete(TransactionManager transactionContext)
        {
            throw new NotImplementedException();
        }
    }
}
