using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ibba.agil.core.common;
using ibba.agil.core;

namespace ibba.agil.data.data
{
    public class tbagi025TipoSituErroKey : IDataKey
    {
        public String codTipoSituErro { get; set; }
    }

    public class tbagi025TipoSituErro_COL : CollectionData<tbagi025TipoSituErroKey, tbagi025TipoSituErro_ENT>
    {
        private manager.tbagi025TipoSituErro_COM _manager;
        private Criteria<CriteriaInfo, object> _pesquisa;

        public tbagi025TipoSituErro_COL()
        {
            _manager = new manager.tbagi025TipoSituErro_COM();
        }

        public override List<tbagi025TipoSituErro_ENT> Find(tbagi025TipoSituErroKey key)
        {
            #region Implementacao do Criterio de Pesquisa

            _pesquisa = new Criteria<CriteriaInfo, object>();
            _pesquisa.Add(new CriteriaInfo()
            {
                EntityData = new tbagi025TipoSituErro_ENT(),
                LikePattern = LikePattern.Both,
                LogicalType = LogicalOperator.AND,
                NameProperty = "codTipoSituErro",
                SearchType = LogicalComparator.EQUAL
            }, key.codTipoSituErro);

            #endregion

            return _manager.Where(CriteriaFind);
        }

        protected override Criteria<CriteriaInfo, object> CriteriaFind()
        {
            return _pesquisa;
        }
    }
}
