using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ibba.agil.core.common;
using ibba.agil.core;

namespace ibba.agil.data.data
{
    public class tbagi026CatlErroKey : IDataKey
    {
        public int codCatlErro { get; set; }
    }

    public class tbagi026CatlErro_COL : CollectionData<tbagi026CatlErroKey, tbagi026CatlErro_ENT>
    {
        private manager.tbagi026CatlErro_COM _manager;
        private Criteria<CriteriaInfo, object> _pesquisa;

        public tbagi026CatlErro_COL()
        {
            _manager = new manager.tbagi026CatlErro_COM();
        }

        public override List<tbagi026CatlErro_ENT> Find(tbagi026CatlErroKey key)
        {
            #region Implementacao do Criterio de Pesquisa

            _pesquisa = new Criteria<CriteriaInfo, object>();
            _pesquisa.Add(new CriteriaInfo()
            {
                EntityData = new tbagi026CatlErro_ENT(),
                LikePattern = LikePattern.Both,
                LogicalType = LogicalOperator.AND,
                NameProperty = "codCatlErro",
                SearchType = LogicalComparator.EQUAL
            }, key.codCatlErro);

            #endregion

            return _manager.Where(CriteriaFind);
        }

        protected override Criteria<CriteriaInfo, object> CriteriaFind()
        {
            return _pesquisa;
        }
    }
}
