using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ibba.agil.core.common;
using ibba.agil.core;

namespace ibba.agil.data.data
{
    public class tbagi032TipoCnfgCamoKey : IDataKey
    {
        public int idtIpiCamo { get; set; }
    }

    public class tbagi032TipoCnfgCamo_COL : CollectionData<tbagi032TipoCnfgCamoKey, tbagi032TipoCnfgCamo_ENT>
    {
        private manager.tbagi032TipoCnfgCamo_COM _manager;
        private Criteria<CriteriaInfo, object> _pesquisa;

        public tbagi032TipoCnfgCamo_COL()
        {
            _manager = new manager.tbagi032TipoCnfgCamo_COM();
        }

        public override List<tbagi032TipoCnfgCamo_ENT> Find(tbagi032TipoCnfgCamoKey key)
        {
            #region Implementacao do Criterio de Pesquisa

            _pesquisa = new Criteria<CriteriaInfo, object>();
            _pesquisa.Add(new CriteriaInfo()
            {
                EntityData = new tbagi032TipoCnfgCamo_ENT(),
                LikePattern = LikePattern.Both,
                LogicalType = LogicalOperator.AND,
                NameProperty = "idtIpiCamo",
                SearchType = LogicalComparator.EQUAL
            }, key.idtIpiCamo);

            #endregion

            return _manager.Where(CriteriaFind);
        }

        protected override Criteria<CriteriaInfo, object> CriteriaFind()
        {
            return _pesquisa;
        }
    }
}
