using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ibba.agil.core.common;
using ibba.agil.core;

namespace ibba.agil.data.data
{
    public class tbagi033TipoCsltKey : IDataKey
    {
        public String codTipoCslt { get; set; }
    }

    public class tbagi033TipoCslt_COL : CollectionData<tbagi033TipoCsltKey, tbagi033TipoCslt_ENT>
    {
        private manager.tbagi033TipoCslt_COM _manager;
        private Criteria<CriteriaInfo, object> _pesquisa;

        public tbagi033TipoCslt_COL()
        {
            _manager = new manager.tbagi033TipoCslt_COM();
        }

        public override List<tbagi033TipoCslt_ENT> Find(tbagi033TipoCsltKey key)
        {
            #region Implementacao do Criterio de Pesquisa

            _pesquisa = new Criteria<CriteriaInfo, object>();
            _pesquisa.Add(new CriteriaInfo()
            {
                EntityData = new tbagi033TipoCslt_ENT(),
                LikePattern = LikePattern.Both,
                LogicalType = LogicalOperator.AND,
                NameProperty = "codTipoCslt",
                SearchType = LogicalComparator.EQUAL
            }, key.codTipoCslt);

            #endregion

            return _manager.Where(CriteriaFind);
        }

        protected override Criteria<CriteriaInfo, object> CriteriaFind()
        {
            return _pesquisa;
        }
    }
}
