﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace ibba.agil.monitor.service
{
    /// <summary>
    /// 
    /// </summary>
    /// <typeparam name="T">Classe a ser monitorada</typeparam>
    [ServiceContract]
    public interface IMonitor
    {
        [OperationContract(Name="TraceInformation", IsOneWay=true)]
         void  InfoTracer(MonitorData data);

        [OperationContract(Name = "TraceWarning", IsOneWay = true)]
        void WarningTracer(MonitorData data);

        [OperationContract(Name = "TraceError", IsOneWay = true)]
        void ErrorTracer(MonitorData data); 
    }
}
