﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Liminds.Common;

namespace Liminds.Teste.DTO
{
    public class DTOTes : DataTransferObject
    {

        public string TesteMessage { get; set; }
        public string Campo { get; set; }


        public override void Fill(IDataEntity data)
        {
            base.Parse(data, this, false,
                     new List<ParserData>() 
                        { new ParserData { DataPropertyIdentifier = "TesteMessage", DTOPropertyIdentifier = "TesteMessage" }, 
                          new ParserData { DataPropertyIdentifier = "TesteMessage", DTOPropertyIdentifier = "Campo" }}
                   );
        }

        public override void Bind(IDataEntity data)
        {

            base.Parse(data, this, true, 
                        new List<ParserData>() 
                        { new ParserData { DataPropertyIdentifier = "TesteMessage", DTOPropertyIdentifier = "TesteMessage" }, 
                          new ParserData { DataPropertyIdentifier = "TesteMessage", DTOPropertyIdentifier = "Campo" }}
                      );
        }
    }
}
